GDB (xrefs)

Public Attributes | List of all members
spu_prologue_data Struct Reference

## Public Attributes
int | size
int | cfa_reg
int | cfa_offset
int | reg_offset [SPU_NUM_GPRS]

## Detailed Description

Definition at line 657 of file spu-tdep.c.

## Member Data Documentation

## ◆ cfa_offset

int spu_prologue_data::cfa_offset

Definition at line 664 of file spu-tdep.c.

Referenced by spu_analyze_prologue(), spu_frame_unwind_cache(), and spu_virtual_frame_pointer().

## ◆ cfa_reg

int spu_prologue_data::cfa_reg

Definition at line 663 of file spu-tdep.c.

Referenced by spu_analyze_prologue(), spu_frame_unwind_cache(), and spu_virtual_frame_pointer().

## ◆ reg_offset

int spu_prologue_data::reg_offset[SPU_NUM_GPRS]

Definition at line 667 of file spu-tdep.c.

Referenced by spu_analyze_prologue(), and spu_frame_unwind_cache().

## ◆ size

int spu_prologue_data::size

Definition at line 660 of file spu-tdep.c.

Referenced by spu_analyze_prologue(), spu_frame_unwind_cache(), and spu_virtual_frame_pointer().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/spu-tdep.c